import {createSSRApp} from "vue";
import App from "./App.vue";
import './scss/index.css';
import './scss/index.scss';
import './scss/global.scss';
import './scss/font.scss';
import './scss/uni.scss';
import propsConfig from "./scss/thorui.config.js";
import {createPinia} from "pinia";
import piniaPluginPersistedstate from 'pinia-plugin-persistedstate';

uni.$tui = propsConfig;

export function createApp() {
    const app = createSSRApp(App);
    const pinia = createPinia();
    pinia.use(piniaPluginPersistedstate);
    app.use(pinia);
    return {
        app,
    };
}
